%global commit 1e6015d4b223dbf4991e6496090392e07fd39f2b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
%global project heat-templates

Name: openstack-heat-templates
Version: 0
Release: 0.16%{alphatag}%{?dist}
Summary: Heat software config templates and DIB elements
License: ASL 2.0
URL: https://github.com/openstack/heat-templates
Source0: https://github.com/openstack/%{project}/archive/%{commit}.tar.gz#/%{project}-%{shortcommit}.tar.gz

#
# patches_base=1e6015d4b223dbf4991e6496090392e07fd39f2b+1
#
Patch0001: 0001-modify-the-home-page-info-with-the-developer-documen.patch
Patch0002: 0002-A-hook-which-invokes-os-apply-config.patch
Patch0003: 0003-A-hook-which-writes-hiera-datafiles.patch
Patch0004: 0004-Add-option-to-pass-tags-to-the-ansible-hook.patch
Patch0005: 0005-Add-local-logging-output-to-puppet-hook.patch
Patch0006: 0006-docker-cmd-hook.patch
Patch0007: 0007-Set-content-type-for-SoftwareConfig-s-heat-config-no.patch
Patch0008: 0008-Correct-tags-option-position-in-ansible-hook.patch
Patch0009: 0009-Add-example-to-configure-ca-certificates-with-userda.patch
Patch0010: 0010-Allow-ansible-inventory-to-be-configurable.patch
Patch0011: 0011-Mark-OpenShift-templates-as-deprecated.patch
Patch0012: 0012-Adds-sample-template-for-Keystone-domain.patch
Patch0013: 0013-Show-team-and-repo-badges-on-README.patch
Patch0014: 0014-Do-docker-operations-in-a-defined-order.patch
Patch0015: 0015-docker-cmd-hook-handle-empty-config-file.patch
Patch0016: 0016-add-CONTRIBUTING.rst.patch
Patch0017: 0017-Add-zaqar.use_websockets-option-to-o-c-c.patch
Patch0018: 0018-Enable-the-use-of-a-non-standard-module-path-for-ans.patch
Patch0019: 0019-Add-a-hook-to-help-write-json-files.patch
Patch0020: 0020-Use-openstack-commands-instead-in-docs.patch
Patch0021: 0021-Fix-typo-in-AD.psm1.patch
Patch0022: 0022-Add-template-for-autohealing-servers.patch
Patch0023: 0023-Fixed-MSSQL-template-to-support-2008-2014-2016-versi.patch
Patch0024: 0024-Replace-yaml.load-with-yaml.safe_load.patch
Patch0025: 0025-Use-non-admin-visible-metrics.patch
Patch0026: 0026-Add-splay-option.patch
Patch0027: 0027-Fix-splay-config-template.patch
Patch0028: 0028-Fake-endpoint-creation.patch
Patch0029: 0029-autoscaling-Remove-usage-of-deprecated-Ceilometer-AP.patch
Patch0030: 0030-autoscaling-don-t-query-an-no-more-existing-API.patch
Patch0031: 0031-Fix-heat-container-agent.patch
Patch0032: 0032-Fix-undefined-basestring-and-unicode-in-py35.patch
Patch0033: 0033-New-template-Example-for-Neutron-Trunks.patch
Patch0034: 0034-autoscaling-fix-a-type-in-gnocchi-command.patch
Patch0035: 0035-Add-basic-stuff-to-build-docs.patch
Patch0036: 0036-Use-correct-policy-references-in-autoscaling.yaml.patch
Patch0037: 0037-Trivialfix-Fix-typos.patch
Patch0038: 0038-Make-cirros-example-v3-compatible.patch
Patch0039: 0039-Add-example-for-using-condition.patch
Patch0040: 0040-Replace-LBaaS-with-LBaaSv2.patch
Patch0041: 0041-Retry-logic-for-url-request-in-heat-config-notify.patch

BuildArch: noarch

%description
Heat software config templates and image building elements

%prep
%setup -qn %{project}-%{commit}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -aR hot/software-config %{buildroot}%{_datadir}/%{name}

# Use os-apply-config to bootstrap /etc/os-collect-config.conf
# from heat boot data
install -p -D -m 755 hot/software-config/boot-config/templates/fragments/20-os-apply-config %{buildroot}%{_libexecdir}/os-refresh-config/configure.d/20-os-apply-config
install -p -D -m 600 hot/software-config/boot-config/templates/fragments/os-collect-config.conf %{buildroot}%{_libexecdir}/os-apply-config/templates/etc/os-collect-config.conf 

# utilities which can be run by deployment scripts
install -p -D -m 755 hot/software-config/elements/heat-config/bin/heat-config-notify %{buildroot}/%{_bindir}/heat-config-notify
install -p -D -m 755 hot/software-config/elements/heat-config/bin/heat-config-rebuild-deployed %{buildroot}/%{_bindir}/heat-config-rebuild-deployed

# os-refresh-config script to run heat deployment resources
install -p -D -m 600 hot/software-config/elements/heat-config/os-apply-config/var/run/heat-config/heat-config %{buildroot}%{_libexecdir}/os-apply-config/templates/var/run/heat-config/heat-config
install -p -D -m 755 hot/software-config/elements/heat-config/os-refresh-config/configure.d/55-heat-config %{buildroot}%{_libexecdir}/os-refresh-config/configure.d/55-heat-config

# hook to perform configuration with scripts
install -p -D -m 755 hot/software-config/elements/heat-config-script/install.d/hook-script.py %{buildroot}%{_libexecdir}/heat-config/hooks/script

# hook to perform configuration with puppet
install -p -D -m 755 hot/software-config/elements/heat-config-puppet/install.d/hook-puppet.py %{buildroot}%{_libexecdir}/heat-config/hooks/puppet

# hook to perform configuration with ansible
install -p -D -m 755 hot/software-config/elements/heat-config-ansible/install.d/hook-ansible.py %{buildroot}%{_libexecdir}/heat-config/hooks/ansible

%files
%license LICENSE
%doc README.rst
%{_datadir}/%{name}

%package -n python-heat-agent
Summary: Agent for performing Heat software deployments
Requires: python-heatclient
Requires: python-zaqarclient
Requires: heat-cfntools
Requires: os-collect-config
Requires: os-apply-config
Requires: os-refresh-config
Requires: dib-utils

%description -n python-heat-agent
This package installs and configures os-collect-config to allow Heat software
deployments to perform script based configuration tasks.

%files -n python-heat-agent
%license LICENSE
%{_bindir}/heat-config-notify
%{_bindir}/heat-config-rebuild-deployed
%{_libexecdir}/os-apply-config/templates/etc/os-collect-config.conf
%{_libexecdir}/os-apply-config/templates/var/run/heat-config/heat-config
%{_libexecdir}/os-refresh-config/configure.d/20-os-apply-config
%{_libexecdir}/os-refresh-config/configure.d/55-heat-config
%{_libexecdir}/heat-config/hooks/script

%package -n python-heat-agent-puppet
Summary: Agent for performing Puppet based Heat software deployments
Requires: python-heat-agent
Requires: puppet

%description -n python-heat-agent-puppet
This package installs and configures os-collect-config to allow Heat software
deployments to perform puppet based configuration tasks.

%files -n python-heat-agent-puppet
%license LICENSE
%{_libexecdir}/heat-config/hooks/puppet

%package -n python-heat-agent-ansible
Summary: Agent for performing Ansible based Heat software deployments
Requires: python-heat-agent
Requires: ansible

%description -n python-heat-agent-ansible
This package installs and configures os-collect-config to allow Heat software
deployments to perform ansible based configuration tasks.

%files -n python-heat-agent-ansible
%license LICENSE
%{_libexecdir}/heat-config/hooks/ansible
%changelog
* Tue Jun 25 2019 Alex Schultz <aschultz@redhat.com> 0-0.16.6384398git
- Retry logic for url request in heat-config-notify (rhbz#1572706)

* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 0-0.15.1e6015dgit
- Replace LBaaS with LBaaSv2.

* Thu Oct 26 2017 Jason Joyce <jjoyce@redhat.com> 0-0.14.b6f9f65git
- Add example for using condition
- Make cirros-example v3 compatible
- [Trivialfix]Fix typos

* Wed Sep 06 2017 Steve Linabery <slinaber@redhat.com> 0-0.13%{alphatag}
- Use correct policy references in autoscaling.yaml

* Fri Aug 11 2017 Jason Joyce <jjoyce@redhat.com> 0-0.12%{alphatag}
- Add basic stuff to build docs
- autoscaling: fix a type in gnocchi command
- New template: Example for Neutron Trunks
- Fix undefined basestring and unicode in py35
- Fix heat-container-agent
- autoscaling: don't query an no more existing API
- autoscaling: Remove usage of deprecated Ceilometer API
- Fake endpoint creation
- Fix splay config template
- Add splay option
- Use non-admin visible metrics
- Replace yaml.load() with yaml.safe_load()
- Fixed MSSQL template to support 2008, 2014, 2016 versions
- Add template for autohealing servers

* Mon Feb 13 2017 Jon Schlueter <jschluet@redhat.com> 0-0.11%{alphatag}
- rhbz#1422189
- Fix typo in AD.psm1
- Use 'openstack' commands instead in docs
- Add a hook to help write json files
- Enable the use of a non-standard module-path for ansible (lp#1651825)
- Add zaqar.use_websockets option to o-c-c

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 0-0.10%{alphatag}
- add CONTRIBUTING.rst
- docker-cmd hook handle empty config file (lp#1648249)
- Do docker operations in a defined order
- Show team and repo badges on README
- Adds sample template for Keystone domain
- Mark OpenShift templates as deprecated
- Allow ansible inventory to be configurable

* Mon Nov 28 2016 Jason Joyce <jjoyce@redhat.com> 0-0.9%{alphatag}
- Add example to configure ca certificates with userdata

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 0-0.8%{alphatag}
- Correct tags option position in ansible hook
- Set content-type for SoftwareConfig's heat-config-notify
- docker-cmd hook

* Mon Nov 14 2016 Jason Joyce <jjoyce@redhat.com> 0-0.7%{alphatag}
- Add local logging output to puppet hook

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 0-0.6.1e6015dgit
- Add option to pass tags to the ansible hook
- A hook which writes hiera datafiles.
- A hook which invokes os-apply-config.
- modify the home-page info with the developer documentation

* Fri Sep 16 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0-0.5.1e6015dgit
- Newton version

